.backdrop {
  align-items: center;
  background: linear-gradient(45deg, rgba(0, 0, 0, .7), rgba(0, 0, 0, .3));
  display: none;
  height: 100vh;
  justify-content: center;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10;
}

#modal {
  border: 1px solid #fff;
  box-sizing: border-box;
  border-radius: 10px;
  box-shadow: 20px 20px 50px rgba(0, 0, 0, .5);
  display: none;
  margin: 20px;
  max-width: 640px;
  width: 100%;
  text-align: center;
  opacity: 0;
  animation: nickname-in .2s ease-in forwards;
  background-color: rgba(0, 0, 0, .8);
  overflow: hidden;
  z-index: 11;

  .modal-header {
    background: linear-gradient(90deg, #505, #055);
    color: #fff;

    .close {
      color: #fff;
    }
  }

  .modal-body {
    padding: 20px;
  }

  input[type=text] {
    font-size: 30px;
    padding: 10px 20px;
    box-sizing: border-box;
    width: 100%;
  }

  button {
    font-size: 20px;
  }
}

#modal-error {
  margin-top: 20px;
}
